GEOINFO(1)

NAME
geoinfo.pl Version 0.9

DESCRIPTION
geoinfo.pl is a program to download and convert waypoints and other geospacial data for use with the new gpsdrive POI Database. You need to have mySQL Support.

This Programm is completely experimental, but some Data can already be retrieved with it.

So: Have Fun, improve it and send me fixes :-))

WARNING:
    This programm replaces some/all waypoints of desire.
    So any changes made to the database may be overwritten!!!
    If you have any self collected/changed Data do a backup first!!

SYNOPSIS
Common usages:

geoinfo.pl [-d] [-v] [-h] [--mapsource_points='Filename']

OPTIONS

--man Complete documentation
    Complete documentation

--create-db
    Try creating the tables inside the geoinfo database. This also fills the database with some predefined types. and imports wour way*.txt Files. This also creates and modified the old waypoints table. This implies --fill-defaults

--fill-defaults
    Fill the Databases with usefull defaults. This option is needed before you can import any of the other importers.

--openstreetmap --osm[=filename]
    Download and import openstreetmap Data. If no parameter is given. planet.osm is downloaded and then imported. If a filename is given this Filename is imported. The file needs to be a *.osm File. You can get a osm File by saving your edited Data whis josm. Currently we only read Nodes from OSM. But the rules in icons.xml are a little bit outdated. So not every POI from osm is really imported. If you like more POIs imported from OSM, please update icons.xml.

--all
    Triggers all of the above

--fon=filename
    Download and Import Fonero Accesspoint positions from http://www.fon.com/

--collect-init-data
    Collects default data and writes them into the default Files. This option is normally used by the maintainer to create the Defaults for filling the DB.

--gpsdrive-tracks
    Read all gpsdrive Tracks and insert into streets DB

--import-way-txt
    Read all gpsdrive way*.txt and insert into poi DB

--kismet-tracks=Directory
    Read all Kismet .gps Files in 'Directory', extract the Tracks and insert them into streets DB

--jigle=Directory
    Read all jigle Files in directory, extract the Wavelan points and insert them into POI DB

    See http://www.wigle.net/ for the jiggle client

--get-traffic
    use for get traffic information from http://www.freiefahrt.info/rdstmc.do and write it in mysql

    This feature is not completels implemented yet.

--show-traffic
    show traffic from mysql database

    This feature is not completels implemented yet.

--street --ort [--plz] [--sql]
    use this for download street coordinates at the moment only germany is supported

    Example: ./geoinfo.pl --street "Strasse des Friedens" --ort Teutschenthal --plz 06179 --sql

    --street is needed for the streetname, if the name has more then one word you have to use ""

    --ort is for the name of the city

    --plz is not evertime necessary only in a big city or if the there are more citys with the same name or a similarly name whitout --sql the result will be write in ~/.gpsdrive/way.txt

--lat_min --lat_max --lon_min --lon_max
    For example for debug reasons for some inserts limit to the given rectangle. This feature is not implemented on all insert statements yet. The values must be set to a none 0 value to be accepted.

--no-delete
    Does not delete the old entries in the DB prior to inserting the new ones.

--db-name
    Name of Database to use; default is geoinfo

--db-user
    username to connect to mySQL database. Default is gast

--db-password
    password for user to connect to mySQL database. Default is gast

--db-host
    hostname for connecting to your mySQL database. Default is localhost

--no-mirror
    Do not try mirroring the files from the original Server. Only use files found on local Filesystem.

--proxy="hostname:port"
    use proxy for download

--lang
    language of the POI-Type descriptions that will be used in the database. At the moment the default is 'de' for german. If no entries are available for the specified language, the english ones will be used.

--area=germany Area Filter
    Only read area for processing Currently only for osm imports to see which areas are available, use --list-areas

--list-areas
    print all areas possible